Name:           python-django-sendfile2
Version:        0.7.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Abstraction to offload file uploads to web-server (e.g. Apache with mod_xsendfile) once Django has checked permissions etc.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://codeberg.org/moggers87/django-sendfile2
Source:         %{pypi_source django_sendfile2}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'django-sendfile2' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-django-sendfile2
Summary:        %{summary}

%description -n python3-django-sendfile2 %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-django-sendfile2 docs


%prep
%autosetup -p1 -n django_sendfile2-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x docs


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-django-sendfile2 -f %{pyproject_files}


%changelog
%autochangelog